=== debian/changelog ===
utf8-locale (0.3.0-1) unstable; urgency=low

  * Initial release. Closes: #1005131

 -- Peter Pentchev <roam@debian.org>  Sun, 20 Feb 2022 17:58:02 +0200
