=== debian/control ===
Source: utf8-locale
Section: text
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 cmake,
 debhelper (>> 13.3.2~),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://gitlab.com/ppentchev/utf8-locale
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-utf8-locale.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-utf8-locale

Package: libutf8-locale0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Detect a UTF-8-capable locale for running programs in - shared library
 Sometimes it is useful for a program to be able to run a child process and
 more or less depend on its output being valid UTF-8. This can usually be
 accomplished by setting one or more environment variables, but there is
 the question of what to set them to - what UTF-8-capable locale is present
 on this particular system? This is where the utf8_locale module comes in.
 .
 This package contains the libutf8_locale shared library.

Package: libutf8-locale-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Detect a UTF-8-capable locale for running programs in - development files
 Sometimes it is useful for a program to be able to run a child process and
 more or less depend on its output being valid UTF-8. This can usually be
 accomplished by setting one or more environment variables, but there is
 the question of what to set them to - what UTF-8-capable locale is present
 on this particular system? This is where the utf8_locale module comes in.
 .
 This package provides the development files for the libutf8_locale library.

Package: python3-utf8-locale
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3:any,
Description: Detect a UTF-8-capable locale for running programs in - Python library
 Sometimes it is useful for a program to be able to run a child process and
 more or less depend on its output being valid UTF-8. This can usually be
 accomplished by setting one or more environment variables, but there is
 the question of what to set them to - what UTF-8-capable locale is present
 on this particular system? This is where the utf8_locale module comes in.
 .
 This package provides the Python 3.x utf_locale module.

Package: u8loc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Detect a UTF-8-capable locale for running programs in
 Sometimes it is useful for a program to be able to run a child process and
 more or less depend on its output being valid UTF-8. This can usually be
 accomplished by setting one or more environment variables, but there is
 the question of what to set them to - what UTF-8-capable locale is present
 on this particular system? This is where the utf8_locale module comes in.
 .
 This package provides the u8loc command-line tool.
