=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/devel/utf8-locale/ https://devel.ringlet.net/files/devel/utf8-locale/utf8-locale-@ANY_VERSION@@ARCHIVE_EXT@
