## utf8-locale 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 cmake_minimum_required(VERSION 3.0.0)
 
-set(U8_VERSION 0.3.0)
+set(U8_VERSION 1.0.0)
 set(U8_SOVERSION 0)
 
 project(utf8_locale VERSION ${U8_VERSION})
