=== debian/changelog ===
utf8-locale (1.0.0-2) unstable; urgency=medium

  * Add the forgotten -dev package dependency on the library one.
    Closes: #1035441
  * Add the year 2023 to my debian/* copyright notice
  * Declare compliance with Policy 4.6.2 with no changes

 -- Peter Pentchev <roam@debian.org>  Thu, 04 May 2023 21:30:41 +0300

utf8-locale (1.0.0-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Sun, 23 Oct 2022 00:55:41 +0300

utf8-locale (0.3.0-2) unstable; urgency=medium

  * The GitLab "master" branch was renamed to "main".
  * Fix the Vcs-Git and Vcs-Browser URLs.
  * Fix the Source URL in the copyright file.
  * Use the devel.ringlet.net URL as the homepage, too.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Sat, 26 Feb 2022 14:32:16 +0200
