=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0
-Homepage: https://gitlab.com/ppentchev/utf8-locale
+Standards-Version: 4.6.2
+Homepage: https://devel.ringlet.net/devel/utf8-locale/
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-utf8-locale.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-utf8-locale
+Vcs-Git: https://gitlab.com/ppentchev/utf8-locale.git -b debian/unstable
+Vcs-Browser: https://gitlab.com/ppentchev/utf8-locale/tree/debian/unstable
 
 Package: libutf8-locale0
 Section: libs
@@ -34,6 +34,7 @@
 Section: libdevel
 Architecture: any
 Depends:
+ libutf8-locale0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Detect a UTF-8-capable locale for running programs in - development files
