=== debian/changelog ===
utf8-locale (1.0.1-1) unstable; urgency=medium

  * New upstream release:
    - update the python-console patch: upstream switched to declarative
      PEP 517 metadata in the pyproject.toml file
    - update the build dependencies for the Python 3.x module: upstream
      switched to hatchling for the PEP 517 build
    - update the copyright file: upstream switched to yearless
      copyright notices

 -- Peter Pentchev <roam@debian.org>  Sat, 01 Jul 2023 16:00:38 +0300
