=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
+ python3-hatch-requirements-txt,
 Standards-Version: 4.6.2
 Homepage: https://devel.ringlet.net/devel/utf8-locale/
 Rules-Requires-Root: no
