=== c/u8loc/CMakeLists.txt ===
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(u8loc
	u8loc.c
)

target_compile_options(u8loc PRIVATE
	${CPPFLAGS_FULL}
	${CFLAGS_FULL}
)

target_link_libraries(u8loc LINK_PUBLIC
	utf8_locale
)

install(TARGETS u8loc RUNTIME)
