=== c/utf8_locale/CMakeLists.txt ===
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

add_library(utf8_locale SHARED
	detect.c
)

set_target_properties(utf8_locale PROPERTIES
	VERSION ${U8_VERSION}
	SOVERSION ${U8_SOVERSION}
)

target_compile_options(utf8_locale PRIVATE
	${CPPFLAGS_FULL}
	${CFLAGS_FULL}
)

target_include_directories(utf8_locale PUBLIC
	"${U8_INCLUDEDIR}"
)

install(TARGETS utf8_locale LIBRARY)
install(FILES
	"${U8_INCLUDEDIR}/utf8_locale.h"
	TYPE INCLUDE)
