=== debian/changelog ===
utf8-locale (1.0.3-2) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debputy's X-Style: black.
  * Switch to debhelper compat level 14:
    - use X-DH-Compat
    - let debhelper handle some dependencies automatically

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 17:36:42 +0200

utf8-locale (1.0.3-1) unstable; urgency=medium

  * Include dpkg's default.mk for completeness.
  * Add the year 2024 to my debian/* copyright notice.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata.
  * New upstream release:
    - point the watch file to the new upstream download page
    - refresh the line numbers in the python-console patch
  * Follow upstream's switch to yearless copyright notices.

 -- Peter Pentchev <roam@debian.org>  Wed, 28 Feb 2024 01:37:02 +0200
