=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
  cmake,
- debhelper (>> 13.3.2~),
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
  dh-sequence-python3,
+ dpkg-build-api (= 1),
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatch-requirements-txt,
  python3-hatchling,
- python3-hatch-requirements-txt,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
+X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/devel/utf8-locale/
-Rules-Requires-Root: no
 Vcs-Git: https://gitlab.com/ppentchev/utf8-locale.git -b debian/unstable
 Vcs-Browser: https://gitlab.com/ppentchev/utf8-locale/tree/debian/unstable
+X-Style: black
 
 Package: libutf8-locale0
 Section: libs
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
 Description: Detect a UTF-8-capable locale for running programs in - shared library
  Sometimes it is useful for a program to be able to run a child process and
  more or less depend on its output being valid UTF-8. This can usually be
@@ -36,8 +36,6 @@
 Architecture: any
 Depends:
  libutf8-locale0 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
 Description: Detect a UTF-8-capable locale for running programs in - development files
  Sometimes it is useful for a program to be able to run a child process and
  more or less depend on its output being valid UTF-8. This can usually be
@@ -51,8 +49,6 @@
 Section: python
 Architecture: all
 Depends:
- ${misc:Depends},
- ${python3:Depends},
  python3:any,
 Description: Detect a UTF-8-capable locale for running programs in - Python library
  Sometimes it is useful for a program to be able to run a child process and
@@ -65,9 +61,6 @@
 
 Package: u8loc
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
 Description: Detect a UTF-8-capable locale for running programs in
  Sometimes it is useful for a program to be able to run a child process and
  more or less depend on its output being valid UTF-8. This can usually be
