=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

export PYBUILD_NAME=utf8-locale

%:
	dh '$@'

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=cmake
	dh_auto_build --buildsystem=pybuild

override_dh_auto_test::
	dh_auto_test --buildsystem=cmake
	dh_auto_test --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	dh_auto_install --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean --buildsystem=cmake
	dh_auto_clean --buildsystem=pybuild
