=== debian/tests/control ===
Test-Command: python3 -B -u tests/functional.py -p /usr/bin/u8loc
Depends:
 python3,
 python3-feature-check,
 @,
Features:
 test-name=upstream-func-c,
Restrictions:
 allow-stderr,

Test-Command: python3 -B -u tests/functional.py -p debian/tests/py-u8loc.sh
Depends:
 python3,
 python3-feature-check,
 @,
Features:
 test-name=upstream-func-py,
Restrictions:
 allow-stderr,
